LibreOffice: NumberFormats Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
NumberFormats Service Referencepublished

specifies a container of number formats. More...

Inheritance diagram for NumberFormats:

## Exported Interfaces
interface | com::sun::star::util::XNumberFormats
| is used to access or create individual formats.
interface | com::sun::star::util::XNumberFormatTypes
| is used to get specific, predefined number formats.

## Additional Inherited Members
Public Member Functions inherited from XNumberFormats
com::sun::star::beans::XPropertySet | getByKey ([in] long nKey)
sequence< long > | queryKeys ([in] short nType, [in] com::sun::star::lang::Locale nLocale, [in] boolean bCreate)
long | queryKey ([in] string aFormat, [in] com::sun::star::lang::Locale nLocale, [in] boolean bScan)
| finds a number format by its format string and returns its key.
long | addNew ([in] string aFormat, [in] com::sun::star::lang::Locale nLocale) raises ( com::sun::star::util::MalformedNumberFormatException )
| adds a new number format to the list, using a format string.
long | addNewConverted ([in] string aFormat, [in] com::sun::star::lang::Locale nLocale, [in] com::sun::star::lang::Locale nNewLocale) raises ( com::sun::star::util::MalformedNumberFormatException )
| adds a new number format to the list, using a format string in a different locale than the desired locale of the resulting number format.
void | removeByKey ([in] long nKey)
| removes a number format from the list.
string | generateFormat ([in] long nBaseKey, [in] com::sun::star::lang::Locale nLocale, [in] boolean bThousands, [in] boolean bRed, [in] short nDecimals, [in] short nLeading)
| generates a format string from several parameters without creating an actual number format.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNumberFormatTypes
long | getStandardIndex ([in] com::sun::star::lang::Locale nLocale)
long | getStandardFormat ([in] short nType, [in] com::sun::star::lang::Locale nLocale)
long | getFormatIndex ([in] short nIndex, [in] com::sun::star::lang::Locale nLocale)
boolean | isTypeCompatible ([in] short nOldType, [in] short nNewType)
| verifies if one type of number format is compatible with another type.
long | getFormatForLocale ([in] long nKey, [in] com::sun::star::lang::Locale nLocale)

## Detailed Description

specifies a container of number formats.

Developers Guide
  Office Development - Number Formats

## Exported Interfaces

## ◆ com::sun::star::util::XNumberFormats

interface com::sun::star::util::XNumberFormats

is used to access or create individual formats.

## ◆ com::sun::star::util::XNumberFormatTypes

interface com::sun::star::util::XNumberFormatTypes

is used to get specific, predefined number formats.

The documentation for this service was generated from the following file:

- com/sun/star/util/NumberFormats.idl